
Projects - Feature #1859

Some repository checkout counter

26 Sep 2011 10:55 - Andriy Lesyuk

Status: Closed Start date: 26 Sep 2011

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category: Redmine plugin idea Estimated time: 0.00 hour

Target version:    

Description

Files do have download count. But many of the plugins are fetched mostly using SVN and there is no count!

It would be greate to have some count for repository checkouts as well...

History

#1 - 27 Sep 2011 16:42 - Andriy Lesyuk

Some links:

http://www.ryandesign.com/svnhookdispatcher/

http://subversion.tigris.org/ds/viewMessage.do?dsForumId=1065&dsMessageId=2356188

#2 - 04 Feb 2012 15:41 - Andriy Lesyuk

It would be also cool to have something on sidebar showing how much changes were made in e.g. SVN comparing to the latest stable release...

Perhaps for this a new column revision should be added to versions.

#3 - 28 Jul 2013 11:36 - Andriy Lesyuk

Maybe Apache conf should be a kind of:

SetEnvIf SVN-ACTION checkout-or-export iscommit

CustomLog "|/usr/share/redmine/vendor/plugins/svn_checkout/bin/update-count.pl" "%{SVN-REPOS-NAME}e" env=iscom

mit

#4 - 01 Aug 2013 19:33 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

Done: SCM Checkouts.
